> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arc.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Return connectors

> Returns records from the connectors entity that match the specified query parameters.  All records will be returned when no parameters are specified.



## OpenAPI

````yaml 26.4/cloud/en/api-reference/openapi.json GET /connectors
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.4.9790.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Base URL of your Arc instance, including scheme and application path
          (e.g. https://arc.example.com/api.rsc).
security: []
paths:
  /connectors:
    get:
      tags:
        - connectors
      summary: Return connectors
      description: >-
        Returns records from the connectors entity that match the specified
        query parameters.  All records will be returned when no parameters are
        specified.
      operationId: getAllconnectors
      parameters:
        - name: $select
          in: query
          schema:
            type: string
          description: >-
            A comma-separated list of properties to include in the results. When
            this field is left empty, all properties will be returned.
        - name: $orderby
          in: query
          schema:
            type: string
          description: >-
            Order the results by this property in ascending or descending
            order.  Example for ascending: 'Name ASC' Example for descending:
            'Name DESC'
        - name: $top
          in: query
          schema:
            type: integer
          description: The number of results to return.
        - name: $skip
          in: query
          schema:
            type: integer
          description: This is the offset of results to skip when returning results.
        - name: $count
          in: query
          schema:
            type: boolean
          description: >-
            When set, the results will return a count of results and not the
            actual results.
        - name: $filter
          in: query
          schema:
            type: string
          description: >-
            Use this to filter the results by specific property values. For
            example, you can use the following filter to retrieve records with
            the name 'John': $filter=Name eq 'John'
      responses:
        '200':
          description: connectors response
          content:
            application/json:
              schema:
                type: object
                properties:
                  value:
                    type: array
                    items:
                      $ref: '#/components/schemas/connectors'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    connectors:
      type: object
      properties:
        ConnectorId:
          description: The connector Id.
          type: string
        WorkspaceId:
          description: The workspace that the connector belongs to.
          type: string
        ConnectorType:
          description: The connector type, such as AS2, X12, or MySQL.
          type: string
        AutomationSend:
          description: >-
            When set to True, the connector automatically processes files in the
            Send folder.
          type: boolean
        AutomationRetryInterval:
          description: >-
            The length of time that the application waits after an error, in
            minutes, before trying to send the file again. When set to 0, the
            connector tries to send the file every interval.
          type: integer
          format: int32
        AutomationMaxAttempts:
          description: >-
            The maximum number of times that the connector tries to process the
            input file in the event that failures are encountered. When set to
            0, the connector retries the file indefinitely.
          type: integer
          format: int32
        AutomationReceive:
          description: >-
            When set to True, the connector tries to automatically receive files
            at the specified ReceiveInterval.
          type: boolean
        ReceiveInterval:
          description: >-
            The interval at which the connector tries to receive files if
            AutomationReceive is set to True.
          type: string
        MaxWorkers:
          description: >-
            The maximum number of workers to assign from the worker pool when
            processing files on this connector. If not set, the default setting
            from the Settings tab of the application is used.
          type: integer
          format: int32
        MaxFiles:
          description: >-
            The maximum number of files that are processed for this connector
            each time workers are assigned to this connector. If not set, the
            default setting from the Settings tab of the application is used.
          type: integer
          format: int32
        SendFolder:
          description: The folder where the connector picks up files to be processed.
          type: string
        ReceiveFolder:
          description: The folder where the connector places received files.
          type: string
        SentFolder:
          description: >-
            The folder where the connector places files after they have been
            processed.
          type: string
        SaveToSentFolder:
          description: >-
            When set to True, the connector keeps a copy of sent messages in the
            Sent folder.
          type: boolean
        SentFolderScheme:
          description: >-
            Instructs the connector to group files in the Sent folder according
            to the selected interval. Available values are 'yyyy-MM-dd, @weekly,
            yyyy-MM, yyyy', corresponding to daily, weekly, monthly, and yearly.
          type: string
        LogLevel:
          description: >-
            The verbosity of logs generated when writing transcation logs.
            Available values are 'None, Error, Warning, Info, Debug, Trace'.
          type: string
        LogSubFolderScheme:
          description: >-
            Instructs the connector to group files in the Logs folder according
            to the selected interval. Available values are 'yyyy-MM-dd, @weekly,
            yyyy-MM, yyyy', corresponding to daily, weekly, monthly, and yearly.
          type: string
        LogMessages:
          description: >-
            When set to True, the connector keeps a copy of the message with the
            message logs in the Logs directory.
          type: boolean
        Other:
          description: >-
            The list of properties above is not comprehensive. You can use the
            API to set any property not listed above on a connector, using the
            same name/value format. All available connector default properties
            are returned in a GET request.
          type: string
      required:
        - ConnectorId
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.